X2Go Bug report logs - #1132
Color issue with x2go not present in NX with certain applications

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: "Town, Brian A. (GSFC-428.0)[Embedded Flight Systems, Inc]" <brian.a.town@nasa.gov>

Date: Mon, 9 Jan 2017 14:30:01 UTC

Severity: normal

Found in version 4.0.5.2

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1132; Package x2goclient. (Mon, 09 Jan 2017 14:30:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Town, Brian A. (GSFC-428.0)[Embedded Flight Systems, Inc]" <brian.a.town@nasa.gov>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 09 Jan 2017 14:30:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: "Town, Brian A. (GSFC-428.0)[Embedded Flight Systems, Inc]" <brian.a.town@nasa.gov>
To: "submit@bugs.x2go.org" <submit@bugs.x2go.org>
Subject: Color issue with x2go not present in NX with certain applications
Date: Mon, 9 Jan 2017 14:13:52 +0000
[Message part 1 (text/plain, inline)]
Package: x2goclient
Version: 4.0.5.2

Connecting to remote RHEL system using x2go has color issues with certain panels of an application on that system. When connecting via NoMachine the panels show up as they should, black background, white text. However with x2go the panel shows up as a grey background with black text, and some text are just black boxes (the major issue is the black boxes obscuring text).

I noticed a bug along these lines from back in 2013 (#262 ) (http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=262)

Brian Town
Landsat 8
Goddard Space Flight Center
[sig]

[Message part 2 (text/html, inline)]
[image001.jpg (image/jpeg, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1132; Package x2goclient. (Mon, 09 Jan 2017 17:00:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 09 Jan 2017 17:00:02 GMT) Full text and rfc822 format available.

Message #10 received at 1132@bugs.x2go.org (full text, mbox):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: "Town, Brian A. (GSFC-428.0)[Embedded Flight Systems, Inc]" <brian.a.town@nasa.gov>, 1132@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1132: Color issue with x2go not present in NX with certain applications
Date: Mon, 9 Jan 2017 17:49:40 +0100
[Message part 1 (text/plain, inline)]
Hi, Brian!

First of all, welcome to X2Go!  You're actually the third NASA employee
hitting our list (the other two were from JSC-EG311 and JPL-392K).
Sorry, that doesn't mean you've won a prize. ;-)

Some things I would like to ask you to do/try:

1) Please let us know the name of the software that has these issues
with X2Go; if it is non-free and/or something NASA developed internally,
you might want to get the developers of that software involved as well
so they can talk to ours.
Screenshots would help, too - but please remember to black out
confidential information that might be visible on it.

2) Please try different slider settings and image compression algorithms
in the connection settings.  Maybe it only affects JPG, or only PNG, ...

3) Also, please try running the software with X2Go in single
application/published application mode (IOW, rootless mode) vs.
fullscreen/windowed mode.  This is becahse parts of the screen drawing
process work differently in rootless mode.

4) If you have a chance to run this software along with X2Go in a
separate testing environment, you could try following these steps and
see if it changes anything - but please do not do this on a production
system:
http://wiki.x2go.org/doku.php/doc:howto:nx-libs-betatesting
(Note that at present, this probably only works for Debian-based
distributions, not for Redhat - but if you have a test lab available to
you, you could "ssh -X brian@redhat-test-box" from the Debian box within
the X2Go session.)

5) We'd love to hear how you use or intend to use X2Go, so we can
publish your testimonial on our success stories page in the wiki.
Since you seem to be working with weather satellites, that sounds like a
rather interesting use case for X2Go.

Last, I hope you don't mind that I mention this ...

<shameless plug>
X2Go also has a commercial side, where various companies - including my
own - offer support contracts with guaranteed response times as well as
consultancy and paid-for development work if someone wants to see a bug
fixed or a new feature added in a certain time frame. What makes my
company special is, IMHO:

1) I'm the current X2Go Project/Community Coordinator, so the
development lead and the developers tend to listen to me.
2) As far as I know, we are the only company providing X2Go support that
isn't a one-man-show.
3) We sub-contract other developers from the X2Go community on demand,
so you only have one person you need to talk to - me - and you will only
receive one invoice, even if the task involved several freelance or
part-time X2Go developers.

Our hourly rate for consultancy work and fixing issues outside of a
support contract is 110 EUR. With a support contract, you get guaranteed
response times (starting at 400 EUR/month for 24h response time during
business hours in the CET/CEST time zone from Monday to Friday, German
holidays excluded) and lower hourly rates if you buy a certain amount of
hours in advance.
</shameless plug>

Kind Regards,
Stefan Baur

Am 09.01.2017 um 15:13 schrieb Town, Brian A. (GSFC-428.0)[Embedded
Flight Systems, Inc]:
> Package: x2goclient
> 
> Version: 4.0.5.2
> 
>  
> 
> Connecting to remote RHEL system using x2go has color issues with
> certain panels of an application on that system. When connecting via
> NoMachine the panels show up as they should, black background, white
> text. However with x2go the panel shows up as a grey background with
> black text, and some text are just black boxes (the major issue is the
> black boxes obscuring text).
> 
>  
> 
> I noticed a bug along these lines from back in 2013 (#262 )
> (http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=262)
> 
>  
> 
> Brian Town
> 
> Landsat 8
> 
> Goddard Space Flight Center
> 
> sig
> 
>  
> 
> 
> 
> _______________________________________________
> x2go-dev mailing list
> x2go-dev@lists.x2go.org
> http://lists.x2go.org/listinfo/x2go-dev
> 


-- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1132; Package x2goclient. (Mon, 09 Jan 2017 17:10:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Town, Brian A. (GSFC-428.0)[Embedded Flight Systems, Inc]" <brian.a.town@nasa.gov>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 09 Jan 2017 17:10:01 GMT) Full text and rfc822 format available.

Message #15 received at 1132@bugs.x2go.org (full text, mbox):

From: "Town, Brian A. (GSFC-428.0)[Embedded Flight Systems, Inc]" <brian.a.town@nasa.gov>
To: Stefan Baur <X2Go-ML-1@baur-itcs.de>, "1132@bugs.x2go.org" <1132@bugs.x2go.org>
Subject: RE: [X2Go-Dev] Bug#1132: Color issue with x2go not present in NX with certain applications
Date: Mon, 9 Jan 2017 16:58:29 +0000
Darn was hoping to have won the prize! Haha

I have tested a few different compression/slider options but still going through and see what each option gives me in. The software being used is open source for NASA missions I believe but closed outside of that, so not sure what all I can share on that just yet, I'll have to check.

I did notice that selecting the "local desktop" option via the client on x2go provides me with the correct color, however it also produces a great deal of lag. Is the local desktop option doing basic VNC connection or Xforwarding? I couldn't find any information on that.

I'm utilizing x2go in conjunction with a LTSP set up. If I use basic Xforwarding through the terminal I get the colors I need displayed properly. I'm not sure exactly where it's hanging up through the x2go client window.

For the unix_kde_depth option, is there a setting to have it exceed 24? Some blogs I've noticed people their session.log files showing unix_kde_depth32 however mine is always at 24 and unsure where that setting would be located at.

Brian Town
Landsat 8
Goddard Space Flight Center


-----Original Message-----
From: Stefan Baur [mailto:X2Go-ML-1@baur-itcs.de] 
Sent: Monday, January 09, 2017 11:50 AM
To: Town, Brian A. (GSFC-428.0)[Embedded Flight Systems, Inc] <brian.a.town@nasa.gov>; 1132@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1132: Color issue with x2go not present in NX with certain applications

Hi, Brian!

First of all, welcome to X2Go!  You're actually the third NASA employee hitting our list (the other two were from JSC-EG311 and JPL-392K).
Sorry, that doesn't mean you've won a prize. ;-)

Some things I would like to ask you to do/try:

1) Please let us know the name of the software that has these issues with X2Go; if it is non-free and/or something NASA developed internally, you might want to get the developers of that software involved as well so they can talk to ours.
Screenshots would help, too - but please remember to black out confidential information that might be visible on it.

2) Please try different slider settings and image compression algorithms in the connection settings.  Maybe it only affects JPG, or only PNG, ...

3) Also, please try running the software with X2Go in single application/published application mode (IOW, rootless mode) vs.
fullscreen/windowed mode.  This is becahse parts of the screen drawing process work differently in rootless mode.

4) If you have a chance to run this software along with X2Go in a separate testing environment, you could try following these steps and see if it changes anything - but please do not do this on a production
system:
http://wiki.x2go.org/doku.php/doc:howto:nx-libs-betatesting
(Note that at present, this probably only works for Debian-based distributions, not for Redhat - but if you have a test lab available to you, you could "ssh -X brian@redhat-test-box" from the Debian box within the X2Go session.)

5) We'd love to hear how you use or intend to use X2Go, so we can publish your testimonial on our success stories page in the wiki.
Since you seem to be working with weather satellites, that sounds like a rather interesting use case for X2Go.

Last, I hope you don't mind that I mention this ...

<shameless plug>
X2Go also has a commercial side, where various companies - including my own - offer support contracts with guaranteed response times as well as consultancy and paid-for development work if someone wants to see a bug fixed or a new feature added in a certain time frame. What makes my company special is, IMHO:

1) I'm the current X2Go Project/Community Coordinator, so the development lead and the developers tend to listen to me.
2) As far as I know, we are the only company providing X2Go support that isn't a one-man-show.
3) We sub-contract other developers from the X2Go community on demand, so you only have one person you need to talk to - me - and you will only receive one invoice, even if the task involved several freelance or part-time X2Go developers.

Our hourly rate for consultancy work and fixing issues outside of a support contract is 110 EUR. With a support contract, you get guaranteed response times (starting at 400 EUR/month for 24h response time during business hours in the CET/CEST time zone from Monday to Friday, German holidays excluded) and lower hourly rates if you buy a certain amount of hours in advance.
</shameless plug>

Kind Regards,
Stefan Baur

Am 09.01.2017 um 15:13 schrieb Town, Brian A. (GSFC-428.0)[Embedded Flight Systems, Inc]:
> Package: x2goclient
> 
> Version: 4.0.5.2
> 
>  
> 
> Connecting to remote RHEL system using x2go has color issues with 
> certain panels of an application on that system. When connecting via 
> NoMachine the panels show up as they should, black background, white 
> text. However with x2go the panel shows up as a grey background with 
> black text, and some text are just black boxes (the major issue is the 
> black boxes obscuring text).
> 
>  
> 
> I noticed a bug along these lines from back in 2013 (#262 )
> (http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=262)
> 
>  
> 
> Brian Town
> 
> Landsat 8
> 
> Goddard Space Flight Center
> 
> sig
> 
>  
> 
> 
> 
> _______________________________________________
> x2go-dev mailing list
> x2go-dev@lists.x2go.org
> http://lists.x2go.org/listinfo/x2go-dev
> 


--
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364 Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1132; Package x2goclient. (Tue, 10 Jan 2017 14:35:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to uli42@gmx.de:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 10 Jan 2017 14:35:02 GMT) Full text and rfc822 format available.

Message #20 received at 1132@bugs.x2go.org (full text, mbox):

From: Ulrich Sibiller <ulrich.sibiller@gmail.com>
To: "Town, Brian A. (GSFC-428.0)[Embedded Flight Systems, Inc]" <brian.a.town@nasa.gov>, 1132@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1132: Bug#1132: Color issue with x2go not present in NX with certain applications
Date: Tue, 10 Jan 2017 15:34:20 +0100
On Mon, Jan 9, 2017 at 5:58 PM, Town, Brian A. (GSFC-428.0)[Embedded
Flight Systems, Inc] <brian.a.town@nasa.gov> wrote:
> Darn was hoping to have won the prize! Haha
>
> I have tested a few different compression/slider options but still going through and see what each option gives me in. The software being used is open source for NASA missions I believe but closed outside of that, so not sure what all I can share on that just yet, I'll have to check.
>
> I did notice that selecting the "local desktop" option via the client on x2go provides me with the correct color, however it also produces a great deal of lag. Is the local desktop option doing basic VNC connection or Xforwarding? I couldn't find any information on that.
>
> I'm utilizing x2go in conjunction with a LTSP set up. If I use basic Xforwarding through the terminal I get the colors I need displayed properly. I'm not sure exactly where it's hanging up through the x2go client window.
>
> For the unix_kde_depth option, is there a setting to have it exceed 24? Some blogs I've noticed people their session.log files showing unix_kde_depth32 however mine is always at 24 and unsure where that setting would be located at.


Color issues might have to do with the rgb file not being found (or
being incomplete). IIRC we have fixed something in the coming 3.6.x
release in this regard. Please test if the problem persists with
current nx beta,
http://wiki.x2go.org/doku.php/doc:howto:nx-libs-betatesting.

You could also check if one of these rgb files exist (add .txt
extension). They are searched in this order:

static char* nxAltRgbPaths[] = {"/etc/x2go/rgb", \
                                "/usr/share/x2go/rgb", \
                                "/usr/local/share/x2go/rgb", \
                                "/etc/nxagent/rgb", \
                                "/usr/share/nx/rgb", \
                                "/usr/local/share/nx/rgb", \
                                "/usr/NX/share/rgb", \
                                "/usr/share/X11/rgb", \
                                "/etc/X11/rgb"};


So if you find one compare it to the one you real X server is using
(should be visible in /var/log/Xorg.0.log).

Or maybe, instead of checking all this: simply copy the rgb.txt from
your X server to /etc/x2go/rgb.txt and retry.


Uli


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1132; Package x2goclient. (Mon, 16 Jan 2017 16:30:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Town, Brian A. (GSFC-428.0)[Embedded Flight Systems, Inc]" <brian.a.town@nasa.gov>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 16 Jan 2017 16:30:02 GMT) Full text and rfc822 format available.

Message #25 received at 1132@bugs.x2go.org (full text, mbox):

From: "Town, Brian A. (GSFC-428.0)[Embedded Flight Systems, Inc]" <brian.a.town@nasa.gov>
To: Stefan Baur <X2Go-ML-1@baur-itcs.de>, "1132@bugs.x2go.org" <1132@bugs.x2go.org>
Subject: Re: [X2Go-Dev] Bug#1132: Color issue with x2go not present in NX with certain applications
Date: Mon, 16 Jan 2017 16:25:36 +0000
I forgot to mention by the looks of your link is testing currently only working on debian based systems? We’re using Rhel6 systems with x2goserver installed on them. I did notice in the git repo for Artica nxlibs there is a section for building out a rpm. Little out of my depth here though so I might be not looking at the correct thing.


> On Jan 9, 2017, at 11:58 AM, Town, Brian A. (GSFC-428.0)[Embedded Flight Systems, Inc] <brian.a.town@nasa.gov> wrote:
> 
> Darn was hoping to have won the prize! Haha
> 
> I have tested a few different compression/slider options but still going through and see what each option gives me in. The software being used is open source for NASA missions I believe but closed outside of that, so not sure what all I can share on that just yet, I'll have to check.
> 
> I did notice that selecting the "local desktop" option via the client on x2go provides me with the correct color, however it also produces a great deal of lag. Is the local desktop option doing basic VNC connection or Xforwarding? I couldn't find any information on that.
> 
> I'm utilizing x2go in conjunction with a LTSP set up. If I use basic Xforwarding through the terminal I get the colors I need displayed properly. I'm not sure exactly where it's hanging up through the x2go client window.
> 
> For the unix_kde_depth option, is there a setting to have it exceed 24? Some blogs I've noticed people their session.log files showing unix_kde_depth32 however mine is always at 24 and unsure where that setting would be located at.
> 
> Brian Town
> Landsat 8
> Goddard Space Flight Center
> 
> 
> -----Original Message-----
> From: Stefan Baur [mailto:X2Go-ML-1@baur-itcs.de] 
> Sent: Monday, January 09, 2017 11:50 AM
> To: Town, Brian A. (GSFC-428.0)[Embedded Flight Systems, Inc] <brian.a.town@nasa.gov>; 1132@bugs.x2go.org
> Subject: Re: [X2Go-Dev] Bug#1132: Color issue with x2go not present in NX with certain applications
> 
> Hi, Brian!
> 
> First of all, welcome to X2Go!  You're actually the third NASA employee hitting our list (the other two were from JSC-EG311 and JPL-392K).
> Sorry, that doesn't mean you've won a prize. ;-)
> 
> Some things I would like to ask you to do/try:
> 
> 1) Please let us know the name of the software that has these issues with X2Go; if it is non-free and/or something NASA developed internally, you might want to get the developers of that software involved as well so they can talk to ours.
> Screenshots would help, too - but please remember to black out confidential information that might be visible on it.
> 
> 2) Please try different slider settings and image compression algorithms in the connection settings.  Maybe it only affects JPG, or only PNG, ...
> 
> 3) Also, please try running the software with X2Go in single application/published application mode (IOW, rootless mode) vs.
> fullscreen/windowed mode.  This is becahse parts of the screen drawing process work differently in rootless mode.
> 
> 4) If you have a chance to run this software along with X2Go in a separate testing environment, you could try following these steps and see if it changes anything - but please do not do this on a production
> system:
> http://wiki.x2go.org/doku.php/doc:howto:nx-libs-betatesting
> (Note that at present, this probably only works for Debian-based distributions, not for Redhat - but if you have a test lab available to you, you could "ssh -X brian@redhat-test-box" from the Debian box within the X2Go session.)
> 
> 5) We'd love to hear how you use or intend to use X2Go, so we can publish your testimonial on our success stories page in the wiki.
> Since you seem to be working with weather satellites, that sounds like a rather interesting use case for X2Go.
> 
> Last, I hope you don't mind that I mention this ...
> 
> <shameless plug>
> X2Go also has a commercial side, where various companies - including my own - offer support contracts with guaranteed response times as well as consultancy and paid-for development work if someone wants to see a bug fixed or a new feature added in a certain time frame. What makes my company special is, IMHO:
> 
> 1) I'm the current X2Go Project/Community Coordinator, so the development lead and the developers tend to listen to me.
> 2) As far as I know, we are the only company providing X2Go support that isn't a one-man-show.
> 3) We sub-contract other developers from the X2Go community on demand, so you only have one person you need to talk to - me - and you will only receive one invoice, even if the task involved several freelance or part-time X2Go developers.
> 
> Our hourly rate for consultancy work and fixing issues outside of a support contract is 110 EUR. With a support contract, you get guaranteed response times (starting at 400 EUR/month for 24h response time during business hours in the CET/CEST time zone from Monday to Friday, German holidays excluded) and lower hourly rates if you buy a certain amount of hours in advance.
> </shameless plug>
> 
> Kind Regards,
> Stefan Baur
> 
> Am 09.01.2017 um 15:13 schrieb Town, Brian A. (GSFC-428.0)[Embedded Flight Systems, Inc]:
>> Package: x2goclient
>> 
>> Version: 4.0.5.2
>> 
>> 
>> 
>> Connecting to remote RHEL system using x2go has color issues with 
>> certain panels of an application on that system. When connecting via 
>> NoMachine the panels show up as they should, black background, white 
>> text. However with x2go the panel shows up as a grey background with 
>> black text, and some text are just black boxes (the major issue is the 
>> black boxes obscuring text).
>> 
>> 
>> 
>> I noticed a bug along these lines from back in 2013 (#262 )
>> (http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=262)
>> 
>> 
>> 
>> Brian Town
>> 
>> Landsat 8
>> 
>> Goddard Space Flight Center
>> 
>> sig
>> 
>> 
>> 
>> 
>> 
>> _______________________________________________
>> x2go-dev mailing list
>> x2go-dev@lists.x2go.org
>> http://lists.x2go.org/listinfo/x2go-dev
>> 
> 
> 
> --
> BAUR-ITCS UG (haftungsbeschränkt)
> Geschäftsführer: Stefan Baur
> Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364 Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243
> 


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1132; Package x2goclient. (Mon, 16 Jan 2017 16:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 16 Jan 2017 16:30:03 GMT) Full text and rfc822 format available.

Message #30 received at 1132@bugs.x2go.org (full text, mbox):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: "Town, Brian A. (GSFC-428.0)[Embedded Flight Systems, Inc]" <brian.a.town@nasa.gov>, "1132@bugs.x2go.org" <1132@bugs.x2go.org>
Cc: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Subject: Re: [X2Go-Dev] Bug#1132: Color issue with x2go not present in NX with certain applications
Date: Mon, 16 Jan 2017 17:28:33 +0100
[Message part 1 (text/plain, inline)]
Hi Brian,

I was under the impression that at present, they only support Debian and
its derivatives, but maybe that has changed.  Let's see if we can get an
Arctica developer (see CC) to chime in and comment on the feasibility of
testing X2Go together with the Arctica NX-lib nightlies on RHEL6. :-)

-Stefan

Am 16.01.2017 um 17:25 schrieb Town, Brian A. (GSFC-428.0)[Embedded
Flight Systems, Inc]:
> I forgot to mention by the looks of your link is testing currently only working on debian based systems? We’re using Rhel6 systems with x2goserver installed on them. I did notice in the git repo for Artica nxlibs there is a section for building out a rpm. Little out of my depth here though so I might be not looking at the correct thing.
> 
> 
>> On Jan 9, 2017, at 11:58 AM, Town, Brian A. (GSFC-428.0)[Embedded Flight Systems, Inc] <brian.a.town@nasa.gov> wrote:
>>
>> Darn was hoping to have won the prize! Haha
>>
>> I have tested a few different compression/slider options but still going through and see what each option gives me in. The software being used is open source for NASA missions I believe but closed outside of that, so not sure what all I can share on that just yet, I'll have to check.
>>
>> I did notice that selecting the "local desktop" option via the client on x2go provides me with the correct color, however it also produces a great deal of lag. Is the local desktop option doing basic VNC connection or Xforwarding? I couldn't find any information on that.
>>
>> I'm utilizing x2go in conjunction with a LTSP set up. If I use basic Xforwarding through the terminal I get the colors I need displayed properly. I'm not sure exactly where it's hanging up through the x2go client window.
>>
>> For the unix_kde_depth option, is there a setting to have it exceed 24? Some blogs I've noticed people their session.log files showing unix_kde_depth32 however mine is always at 24 and unsure where that setting would be located at.
>>
>> Brian Town
>> Landsat 8
>> Goddard Space Flight Center
>>
>>
>> -----Original Message-----
>> From: Stefan Baur [mailto:X2Go-ML-1@baur-itcs.de] 
>> Sent: Monday, January 09, 2017 11:50 AM
>> To: Town, Brian A. (GSFC-428.0)[Embedded Flight Systems, Inc] <brian.a.town@nasa.gov>; 1132@bugs.x2go.org
>> Subject: Re: [X2Go-Dev] Bug#1132: Color issue with x2go not present in NX with certain applications
>>
>> Hi, Brian!
>>
>> First of all, welcome to X2Go!  You're actually the third NASA employee hitting our list (the other two were from JSC-EG311 and JPL-392K).
>> Sorry, that doesn't mean you've won a prize. ;-)
>>
>> Some things I would like to ask you to do/try:
>>
>> 1) Please let us know the name of the software that has these issues with X2Go; if it is non-free and/or something NASA developed internally, you might want to get the developers of that software involved as well so they can talk to ours.
>> Screenshots would help, too - but please remember to black out confidential information that might be visible on it.
>>
>> 2) Please try different slider settings and image compression algorithms in the connection settings.  Maybe it only affects JPG, or only PNG, ...
>>
>> 3) Also, please try running the software with X2Go in single application/published application mode (IOW, rootless mode) vs.
>> fullscreen/windowed mode.  This is becahse parts of the screen drawing process work differently in rootless mode.
>>
>> 4) If you have a chance to run this software along with X2Go in a separate testing environment, you could try following these steps and see if it changes anything - but please do not do this on a production
>> system:
>> http://wiki.x2go.org/doku.php/doc:howto:nx-libs-betatesting
>> (Note that at present, this probably only works for Debian-based distributions, not for Redhat - but if you have a test lab available to you, you could "ssh -X brian@redhat-test-box" from the Debian box within the X2Go session.)
>>
>> 5) We'd love to hear how you use or intend to use X2Go, so we can publish your testimonial on our success stories page in the wiki.
>> Since you seem to be working with weather satellites, that sounds like a rather interesting use case for X2Go.
>>
>> Last, I hope you don't mind that I mention this ...
>>
>> <shameless plug>
>> X2Go also has a commercial side, where various companies - including my own - offer support contracts with guaranteed response times as well as consultancy and paid-for development work if someone wants to see a bug fixed or a new feature added in a certain time frame. What makes my company special is, IMHO:
>>
>> 1) I'm the current X2Go Project/Community Coordinator, so the development lead and the developers tend to listen to me.
>> 2) As far as I know, we are the only company providing X2Go support that isn't a one-man-show.
>> 3) We sub-contract other developers from the X2Go community on demand, so you only have one person you need to talk to - me - and you will only receive one invoice, even if the task involved several freelance or part-time X2Go developers.
>>
>> Our hourly rate for consultancy work and fixing issues outside of a support contract is 110 EUR. With a support contract, you get guaranteed response times (starting at 400 EUR/month for 24h response time during business hours in the CET/CEST time zone from Monday to Friday, German holidays excluded) and lower hourly rates if you buy a certain amount of hours in advance.
>> </shameless plug>
>>
>> Kind Regards,
>> Stefan Baur
>>
>> Am 09.01.2017 um 15:13 schrieb Town, Brian A. (GSFC-428.0)[Embedded Flight Systems, Inc]:
>>> Package: x2goclient
>>>
>>> Version: 4.0.5.2
>>>
>>>
>>>
>>> Connecting to remote RHEL system using x2go has color issues with 
>>> certain panels of an application on that system. When connecting via 
>>> NoMachine the panels show up as they should, black background, white 
>>> text. However with x2go the panel shows up as a grey background with 
>>> black text, and some text are just black boxes (the major issue is the 
>>> black boxes obscuring text).
>>>
>>>
>>>
>>> I noticed a bug along these lines from back in 2013 (#262 )
>>> (http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=262)
>>>
>>>
>>>
>>> Brian Town
>>>
>>> Landsat 8
>>>
>>> Goddard Space Flight Center
>>>
>>> sig
>>>
>>>
>>>
>>>
>>>
>>> _______________________________________________
>>> x2go-dev mailing list
>>> x2go-dev@lists.x2go.org
>>> http://lists.x2go.org/listinfo/x2go-dev
>>>
>>
>>
>> --
>> BAUR-ITCS UG (haftungsbeschränkt)
>> Geschäftsführer: Stefan Baur
>> Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364 Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243
>>
> 


-- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1132; Package x2goclient. (Tue, 24 Jan 2017 13:40:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Town, Brian A. (GSFC-428.0)[Embedded Flight Systems, Inc]" <brian.a.town@nasa.gov>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 24 Jan 2017 13:40:03 GMT) Full text and rfc822 format available.

Message #35 received at 1132@bugs.x2go.org (full text, mbox):

From: "Town, Brian A. (GSFC-428.0)[Embedded Flight Systems, Inc]" <brian.a.town@nasa.gov>
To: "uli42@gmx.de" <uli42@gmx.de>, "1132@bugs.x2go.org" <1132@bugs.x2go.org>
Subject: RE: [X2Go-Dev] Bug#1132: Bug#1132: Color issue with x2go not present in NX with certain applications
Date: Tue, 24 Jan 2017 13:26:05 +0000
My apologies but not seeing this sooner, we were told by the software devs that the program does source the rgb.txt file for color values. I must have completely missed this email somehow but will test out what was said.

Brian Town
Landsat 8
Goddard Space Flight Center



-----Original Message-----
From: Ulrich Sibiller [mailto:ulrich.sibiller@gmail.com] 
Sent: Tuesday, January 10, 2017 9:34 AM
To: Town, Brian A. (GSFC-428.0)[Embedded Flight Systems, Inc] <brian.a.town@nasa.gov>; 1132@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1132: Bug#1132: Color issue with x2go not present in NX with certain applications

On Mon, Jan 9, 2017 at 5:58 PM, Town, Brian A. (GSFC-428.0)[Embedded Flight Systems, Inc] <brian.a.town@nasa.gov> wrote:
> Darn was hoping to have won the prize! Haha
>
> I have tested a few different compression/slider options but still going through and see what each option gives me in. The software being used is open source for NASA missions I believe but closed outside of that, so not sure what all I can share on that just yet, I'll have to check.
>
> I did notice that selecting the "local desktop" option via the client on x2go provides me with the correct color, however it also produces a great deal of lag. Is the local desktop option doing basic VNC connection or Xforwarding? I couldn't find any information on that.
>
> I'm utilizing x2go in conjunction with a LTSP set up. If I use basic Xforwarding through the terminal I get the colors I need displayed properly. I'm not sure exactly where it's hanging up through the x2go client window.
>
> For the unix_kde_depth option, is there a setting to have it exceed 24? Some blogs I've noticed people their session.log files showing unix_kde_depth32 however mine is always at 24 and unsure where that setting would be located at.


Color issues might have to do with the rgb file not being found (or being incomplete). IIRC we have fixed something in the coming 3.6.x release in this regard. Please test if the problem persists with current nx beta, http://wiki.x2go.org/doku.php/doc:howto:nx-libs-betatesting.

You could also check if one of these rgb files exist (add .txt extension). They are searched in this order:

static char* nxAltRgbPaths[] = {"/etc/x2go/rgb", \
                                "/usr/share/x2go/rgb", \
                                "/usr/local/share/x2go/rgb", \
                                "/etc/nxagent/rgb", \
                                "/usr/share/nx/rgb", \
                                "/usr/local/share/nx/rgb", \
                                "/usr/NX/share/rgb", \
                                "/usr/share/X11/rgb", \
                                "/etc/X11/rgb"};


So if you find one compare it to the one you real X server is using (should be visible in /var/log/Xorg.0.log).

Or maybe, instead of checking all this: simply copy the rgb.txt from your X server to /etc/x2go/rgb.txt and retry.


Uli

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1132; Package x2goclient. (Mon, 30 Jan 2017 15:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Town, Brian A. (GSFC-428.0)[Embedded Flight Systems, Inc]" <brian.a.town@nasa.gov>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 30 Jan 2017 15:00:03 GMT) Full text and rfc822 format available.

Message #40 received at 1132@bugs.x2go.org (full text, mbox):

From: "Town, Brian A. (GSFC-428.0)[Embedded Flight Systems, Inc]" <brian.a.town@nasa.gov>
To: "uli42@gmx.de" <uli42@gmx.de>, "1132@bugs.x2go.org" <1132@bugs.x2go.org>
Subject: RE: [X2Go-Dev] Bug#1132: Bug#1132: Color issue with x2go not present in NX with certain applications
Date: Mon, 30 Jan 2017 14:59:33 +0000
There was a /usr/share/X11/rgb.txt file on the remote system, I copied it's concents also to /etc/x2go/rgb and still having issues. The main issue I Have narrowed down is that it's xterm. If I open up a terminal on remote system and run a "xterm -bg 'white' -fg 'black'" it comes up with "Color name not defined" errors, as it can't find a reference to those values. If I run xterm with the actual values instead of the color name though it opens fine.

I'm not exactly sure why x2go sessions are not working with the files in place.


Brian Town
Landsat 8
Goddard Space Flight Center



-----Original Message-----
From: Town, Brian A. (GSFC-428.0)[Embedded Flight Systems, Inc] 
Sent: Tuesday, January 24, 2017 8:26 AM
To: 'uli42@gmx.de' <uli42@gmx.de>; 1132@bugs.x2go.org
Subject: RE: [X2Go-Dev] Bug#1132: Bug#1132: Color issue with x2go not present in NX with certain applications

My apologies but not seeing this sooner, we were told by the software devs that the program does source the rgb.txt file for color values. I must have completely missed this email somehow but will test out what was said.

Brian Town
Landsat 8
Goddard Space Flight Center



-----Original Message-----
From: Ulrich Sibiller [mailto:ulrich.sibiller@gmail.com] 
Sent: Tuesday, January 10, 2017 9:34 AM
To: Town, Brian A. (GSFC-428.0)[Embedded Flight Systems, Inc] <brian.a.town@nasa.gov>; 1132@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1132: Bug#1132: Color issue with x2go not present in NX with certain applications

On Mon, Jan 9, 2017 at 5:58 PM, Town, Brian A. (GSFC-428.0)[Embedded Flight Systems, Inc] <brian.a.town@nasa.gov> wrote:
> Darn was hoping to have won the prize! Haha
>
> I have tested a few different compression/slider options but still going through and see what each option gives me in. The software being used is open source for NASA missions I believe but closed outside of that, so not sure what all I can share on that just yet, I'll have to check.
>
> I did notice that selecting the "local desktop" option via the client on x2go provides me with the correct color, however it also produces a great deal of lag. Is the local desktop option doing basic VNC connection or Xforwarding? I couldn't find any information on that.
>
> I'm utilizing x2go in conjunction with a LTSP set up. If I use basic Xforwarding through the terminal I get the colors I need displayed properly. I'm not sure exactly where it's hanging up through the x2go client window.
>
> For the unix_kde_depth option, is there a setting to have it exceed 24? Some blogs I've noticed people their session.log files showing unix_kde_depth32 however mine is always at 24 and unsure where that setting would be located at.


Color issues might have to do with the rgb file not being found (or being incomplete). IIRC we have fixed something in the coming 3.6.x release in this regard. Please test if the problem persists with current nx beta, http://wiki.x2go.org/doku.php/doc:howto:nx-libs-betatesting.

You could also check if one of these rgb files exist (add .txt extension). They are searched in this order:

static char* nxAltRgbPaths[] = {"/etc/x2go/rgb", \
                                "/usr/share/x2go/rgb", \
                                "/usr/local/share/x2go/rgb", \
                                "/etc/nxagent/rgb", \
                                "/usr/share/nx/rgb", \
                                "/usr/local/share/nx/rgb", \
                                "/usr/NX/share/rgb", \
                                "/usr/share/X11/rgb", \
                                "/etc/X11/rgb"};


So if you find one compare it to the one you real X server is using (should be visible in /var/log/Xorg.0.log).

Or maybe, instead of checking all this: simply copy the rgb.txt from your X server to /etc/x2go/rgb.txt and retry.


Uli

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1132; Package x2goclient. (Mon, 30 Jan 2017 18:25:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Town, Brian A. (GSFC-428.0)[Embedded Flight Systems, Inc]" <brian.a.town@nasa.gov>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 30 Jan 2017 18:25:02 GMT) Full text and rfc822 format available.

Message #45 received at 1132@bugs.x2go.org (full text, mbox):

From: "Town, Brian A. (GSFC-428.0)[Embedded Flight Systems, Inc]" <brian.a.town@nasa.gov>
To: "1132@bugs.x2go.org" <1132@bugs.x2go.org>
Subject: X2go rgb.txt follow up
Date: Mon, 30 Jan 2017 18:23:41 +0000
[Message part 1 (text/plain, inline)]
It appears the major issue was not actually x2go, as after running into the color problem on multiple systems that were built by others, using a fresh Centos/Rhel install made the colors work properly while using xterm. It seems there is something fundamentally wrong with the existing system in regards to how it's using the rgb.txt file and x2go connecting to it, though what that is right now I am not entirely sure.

Brian Town
Landsat 8
Goddard Space Flight Center
[sig]

[Message part 2 (text/html, inline)]
[image001.jpg (image/jpeg, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1132; Package x2goclient. (Mon, 30 Jan 2017 19:00:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 30 Jan 2017 19:00:02 GMT) Full text and rfc822 format available.

Message #50 received at 1132@bugs.x2go.org (full text, mbox):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: "1132@bugs.x2go.org" <1132@bugs.x2go.org>
Subject: Re: [X2Go-Dev] Bug#1132: X2go rgb.txt follow up
Date: Mon, 30 Jan 2017 19:53:08 +0100
[Message part 1 (text/plain, inline)]
Am 30.01.2017 um 19:23 schrieb Town, Brian A. (GSFC-428.0)[Embedded
Flight Systems, Inc]:
> It appears the major issue was not actually x2go, as after running into
> the color problem on multiple systems that were built by others, using a
> fresh Centos/Rhel install made the colors work properly while using
> xterm. It seems there is something fundamentally wrong with the existing
> system in regards to how it’s using the rgb.txt file and x2go connecting
> to it, though what that is right now I am not entirely sure.

So ... I guess that means compare /etc/*, compare list of installed
packages and package versions, compare individual scripts like .bashrc
(not sure if xterm has a user-specific config file somewhere as well),
check if LD_PRELOAD and if all else fails, check the ldd and strace
output of all the executables involved.

Sounds like a whole lot of work.  Hope you'll be able to figure this out.

In the meantime, can we close the bug, since you stated it's not
X2Go-related?

-Stefan

-- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1132; Package x2goclient. (Thu, 15 Feb 2018 17:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Humanitarian Services <loveworldservice@outlook.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 15 Feb 2018 17:30:03 GMT) Full text and rfc822 format available.

Message #55 received at 1132@bugs.x2go.org (full text, mbox):

From: Humanitarian Services <loveworldservice@outlook.com>
To: Undisclosed recipients:;
Subject: RE
Date: Thu, 15 Feb 2018 05:35:04 +0000
[Message part 1 (text/plain, inline)]

Lieber geliebter,



Ich suche Ihre Nachsicht, um um Ihre Unterstützung bezüglich des Inhaltes meiner Post zu bitten, obwohl ich mich nicht wohl fühle, dieses Mittel wegen der vielen unaufgeforderten Posts im Internet zu diskutieren, aber ich habe kein anderes Medium, um es jetzt gerade zu tun, seit der Situation von meine Gesundheit verschlechtert sich.

Mein Name ist Mr. Andrew Gustafson, ich komme aus United States of America, Washington DC und ich bin 84 Jahre alt. Ich wohne derzeit in Paris. Ich habe Ihre Informationen beim Surfen im Internet auf der Suche nach einer zuverlässigen / ehrlichen Person, die Ihnen helfen könnte; Ich bin ein sterbender Mann, der sich entschieden hat, das zu geben, was ich für dich / Organisation habe. Ich wurde vor ein paar Monaten wegen Krebs diagnostiziert, unmittelbar nach dem Tod meiner Frau und meines einzigen Sohnes, alles, wofür sie arbeitete. Ich bin von Gott berührt worden, um von dem, was ich von meiner Frau geerbt habe, für das gute Werk Gottes zu spenden.

Bitte bete, dass der gute Herr ihre Sünden vergibt. Ich habe Gott gebeten, ihr zu vergeben, und ich glaube, dass er es ist, weil er ein barmherziger Gott ist. Ich war mit Pilot Sarah Gustafson verheiratet. Meine Frau war eine englische Pilotin, die am 13. November 2015 in der Bataclan Konzerthalle in Paris starb. Als meine verstorbene Frau am Leben war, hinterlegte sie die Summe von € 7.500.000,00, die aus ihren riesigen Vermögen und Investitionen in den Kapitalmarkt bei einer Sicherheitsfirma hier in Paris stammte. Ich entschied mich, Sie zu kontaktieren, um den Fonds zu erhalten. Dies unter der Bedingung, dass Sie nur 20% der Mittel für sich selbst aufbringen, während Sie die restlichen 80% an Wohltätigkeitsorganisationen in Ihrem Land verteilen.


Gegenwärtig ist dieses Geld noch bei der Societe Generale Bank, Paris, Frankreich. Mein Arzt sagte mir, dass ich wegen der Krebserkrankungen, an denen ich leide, und der Unruhe-Nacht, die über den Vorfall meiner Frau und meines einzigen Sohnes nachdachte, nur begrenzte Lebenstage habe. Ich habe beschlossen, diesen Fonds für Sie zu spenden und möchte, dass Sie dieses Geschenk nutzen, das von meiner Frau ausgeht, um den Unterhalt von Witwen, Witwern, Waisenkindern, mittellosen, ausgetretenen, körperlich behinderten Kindern, unfruchtbaren Frauen und Personen zu finanzieren erweisen sich als wirklich finanziell behindert.

      Ich werde Ihre äußerste Vertraulichkeit in dieser Angelegenheit zu schätzen wissen, bis die Aufgabe erfüllt ist, da ich nichts wünsche, was meinen letzten Wunsch gefährden würde. Und auch ich werde mit dir per E-Mail kontaktieren, andrewgustafson5@gmail.com

Hochachtungsvoll,

Herr Andrew Gustafson
[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Dec 18 11:39:16 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.